Bug 85807 - Add Clone diagram function
Summary: Add Clone diagram function
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 2 votes (vote)
Target Milestone: 2.12 (KDE 4.12)
Assignee: Joris Steyn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-23 18:25 UTC by Sebastian Stein
Modified: 2014-01-16 07:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Stein 2004-07-23 18:25:20 UTC
Version:           1.3.0 (using KDE 3.2.3, compiled sources)
Compiler:          gcc version 3.3.3
OS:                Linux (i686) release 2.4.26

by Achim Spangler:

I create a lot of diagrams, which are comparable to a great extend.

I must create each diagram from the scratch, even if only some associations
have another label, some additional diagram elements are needed and so forth.

The clone should _not_ clone the DOC part!
Only the diagram representation should be doubled.

I hope that this is not as complicated as the copy of DOC elements.
Comment 1 Joris Steyn 2013-12-17 22:18:01 UTC
Git commit efd686cda1711f0b573f2251e2e7d66765b765ff by Joris Steyn.
Committed on 19/11/2013 at 21:53.
Pushed by jorissteyn into branch 'master'.

Refactor decoding of clip data

Decoding of UMLObjects now uses the same code path on all clips. Fixes that
recently went to clip1 are now also active for clip2 (diagrams). List view
items are never decoded, but created in response of a signal of new UMLObjects.

When pasting clip2 in the same file, only the diagram gets duplicated and not
all contained UMLObjects, like described in feature request 85807.
Related: bug 327910, bug 327670

M  +47   -135  umbrello/clipboard/umlclipboard.cpp
M  +0    -6    umbrello/clipboard/umlclipboard.h
M  +161  -221  umbrello/clipboard/umldragdata.cpp
M  +8    -9    umbrello/clipboard/umldragdata.h
M  +3    -5    umbrello/umldoc.cpp

http://commits.kde.org/umbrello/efd686cda1711f0b573f2251e2e7d66765b765ff
Comment 2 Joris Steyn 2013-12-17 22:18:01 UTC
Git commit c12c81807d4ab64afda7f80bd81b2945b2e7d6b8 by Joris Steyn.
Committed on 17/12/2013 at 21:27.
Pushed by jorissteyn into branch 'master'.

Implement duplication of diagrams

The popup menu of diagram list view items now contain the standard cut/copy
menu entries. A new entry 'Duplicate' allows duplicating a diagram and all
widgets, but not the underlying UML representations.
Related: bug 327670
GUI

M  +2    -3    umbrello/listpopupmenu.cpp
M  +5    -0    umbrello/umllistview.cpp

http://commits.kde.org/umbrello/c12c81807d4ab64afda7f80bd81b2945b2e7d6b8
Comment 3 Ralf Habacker 2013-12-17 23:21:10 UTC
Git commit fb2217528528703351cb266e957ee0569ed5596f by Ralf Habacker.
Committed on 17/12/2013 at 23:05.
Pushed by habacker into branch 'master'.

Fix of 'Copy & paste places widgets on top of each other'.
Related: bug 291742

M  +0    -2    umbrello/widgets/umlwidget.cpp

http://commits.kde.org/umbrello/fb2217528528703351cb266e957ee0569ed5596f
Comment 4 Ralf Habacker 2013-12-17 23:23:59 UTC
Git commit 3e1efb54664ccf3b48793eae34f482e18a988a28 by Ralf Habacker.
Committed on 17/12/2013 at 23:05.
Pushed by habacker into branch 'KDE/4.12'.

Fix of 'Copy & paste places widgets on top of each other'.
Related: bug 291742
FIXED-IN: 4.12.1
(cherry picked from commit fb2217528528703351cb266e957ee0569ed5596f)

M  +0    -2    umbrello/widgets/umlwidget.cpp

http://commits.kde.org/umbrello/3e1efb54664ccf3b48793eae34f482e18a988a28
Comment 5 Joris Steyn 2013-12-18 06:31:49 UTC
Git commit a3f5aee490974c2c39a1a8606b05c187bf437b54 by Joris Steyn.
Committed on 18/12/2013 at 06:23.
Pushed by jorissteyn into branch 'master'.

Remove duplicate rename/delete menu entries

M  +0    -2    umbrello/listpopupmenu.cpp

http://commits.kde.org/umbrello/a3f5aee490974c2c39a1a8606b05c187bf437b54